CyberLink Community Forum
where the experts meet
| Advanced Search >
confused about compatibility
Reply to this topic
[Post New]
Hello. I just bought a top of the line bd burner from lg. Retail edition from lg, from a well respected retailer. The disc i got has the year 2014 written on it and it also says compatible with windows 8. The drive itself is very new and compatible with windows 8.1. Here is where it gets confusing. The software bundled is Cyberlink various. It has powerdvd 10 and power 2go 7. Cyberlink themselves says version 12 for power DVD and version 8 for power 2go is a minimum for windows 8. So as you can imagine I'm not too happy. So what or where do i go to resolve this. Is it lgs fault or Cyberlink. Will Cyberlink be kind enough to update my software versions?
Reply
CyberLink-Michael [Avatar]
Senior Contributor Private Message Location: Europe Joined: Apr 18, 2007 04:05 Messages: 7418 Offline
[Post New]
Hi,

> Cyberlink themselves says version 12 for power DVD and version 8 for power 2go is a minimum for windows 8.

==> this Statement is for Reail Versions of the Software, so called OEM builds can have different scope.

If you face any technical issues please feel free to contact our technical Support Team.

br
Michael Technical Support

Werde Facebook Fan
Reply
Reply to this topic
Powered by JForum 2.1.8 © JForum Team